AbstractDaemon
Keywords: uk.ac.ic.doc.automed.p2p.communication.AbstractDaemon class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.communication
Class AbstractDaemon

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.communication.AbstractDaemon

All Implemented Interfaces:
  java.lang.Runnable

    public abstract class AbstractDaemon

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`AbstractDaemon(RequestListener handler)`

Method Summary
`abstract int` | `getBufferSize()`
`abstract int` | `getDesiredPort()`
`int` | `getPort()`
`abstract int` | `getTimeOut()`
`abstract int` | `getWorkersNumber()`
`void` | `init()`
`abstract void` | `replyToMessage(AbstractMessage message, java.io.OutputStream output)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDaemon

    public AbstractDaemon(RequestListener handler)

Method Detail

### init

    public void init()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTimeOut

    public abstract int getTimeOut()

### getWorkersNumber

    public abstract int getWorkersNumber()

### getDesiredPort

    public abstract int getDesiredPort()

### getBufferSize

    public abstract int getBufferSize()

### replyToMessage

    public abstract void replyToMessage(AbstractMessage message,
                                        java.io.OutputStream output)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPort

    public int getPort()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD